### Method

# WPEPlatform BufferDMABuf set_release_fence

#### Declaration [src]

    void
    wpe_buffer_dma_buf_set_release_fence (
      WPEBufferDMABuf* buffer,
      int fd
    )

#### Description [src]

Set the release fence file descriptor to use for the `buffer`. The fence will be used to wait before releasing the buffer to be destroyed or reused. The buffer takes the ownership of the file descriptor.

#### Parameters

`fd`

  Type: `int`

  A file descriptor, or -1.